Page MenuHomePhabricator

Set up scap3 for deployment
Closed, ResolvedPublic1 Story Points

Details

Related Gerrit Patches:
mediawiki/services/recommendation-api/deploy : masterAdd scap configuration

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 9:27 AM
leila triaged this task as Medium priority.Nov 28 2016, 6:28 PM

@schana if I remember correctly, you mentioned you will work on this yourself, correct?

Nuria moved this task from Backlog to Next up on the Recommendation-API board.Apr 21 2017, 5:22 PM
schana updated the task description. (Show Details)
schana set the point value for this task to 1.

@mobrovac What are the targets I should be using in the scap config?

Here's the canary and the list of targets. In general, you can look at Citoid's Scap3 configuration to get inspiration :)

@mobrovac It looks like citoid is using scap for deploying config. Is this preferred to puppet? Or is this config something else?

The config template should be in the deploy repo, just as it is for Citoid. Some config variables will need to come from Puppet, though, like the URIs for the services that your service is contacting (RESTBase, wdqs). For now you can put the default values for these in scap/vars.yaml and we can work on them in a second step.

Change 357640 had a related patch set uploaded (by Nschaaf; owner: Nschaaf):
[mediawiki/services/recommendation-api/deploy@master] Add scap configuration

https://gerrit.wikimedia.org/r/357640

@mobrovac

  1. For the config template, will sending the domain in the mwapi_req host header be an issue when not in the production cluster?
  2. Is there a problem with using the same port as Citoid (1970), or will this service need a unique port? Are these tracked anywhere?

@mobrovac

  1. For the config template, will sending the domain in the mwapi_req host header be an issue when not in the production cluster?

No, but that is not relevant as in the deploy repo we mostly focus on the WMF production environment. If one wanted to, one could set up a different scap environment and have a separate config for it, but that is outside the scope of this ticket / effort.

  1. Is there a problem with using the same port as Citoid (1970), or will this service need a unique port? Are these tracked anywhere?

Yes. Two services cannot attach to the same port. The exact port number is not that relevant, we will take care of that in the upcoming ops/puppet patch.

Change 357640 merged by Mobrovac:
[mediawiki/services/recommendation-api/deploy@master] Add scap configuration

https://gerrit.wikimedia.org/r/357640

schana removed a project: Patch-For-Review.
mobrovac closed this task as Resolved.Jul 3 2017, 8:34 PM

This has been already completed a while ago, closing.